C....*...1.........2.........3.........4.........5.........6.........7.*.......8
C     DVMIN    9/14/74
C
C     PURPOSE
C     FUNCTION SUBPROGRAM TO FIND THE MINIMUM VALUE OF A GIVEN VECTOR.
C
C     USAGE
C     AMIN=DVMIN(A,N)
C
C     ARGUMENTS
C     A - INPUT VECTOR
C         REAL*8
C     N - LENGTH OF A
C         INTEGER*4
C
C
      real*8 FUNCTION DVMIN(A,N)
      implicit real*8 (a-h,o-z)
      save
      REAL*8 A(1),AMIN
      AMIN=A(1)
      DO 10 I=1,N
10    IF(A(I).LT.AMIN) AMIN=A(I)
      DVMIN=AMIN
      RETURN
      END
